Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 235202

Summary: system-config-users should be more helpful when it discovers problem with /etc/{passwd,shadow}
Product: [Fedora] Fedora Reporter: Matěj Cepl <mcepl>
Component: system-config-usersAssignee: Nils Philippsen <nphilipp>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 6CC: mcepl, tim.liim, triage
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: bzcl34nup
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-05-06 19:27:30 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Matěj Cepl 2007-04-04 14:12:08 UTC
Description of problem:
when starting system-config-users ends with the attached error message. It is
nice that it reminded me about screwed up files, but it would be nice if it
offered some help as well -- at least suggested existence of the program pwck or
(even better) to emulate its functions in system-config-users.

Version-Release number of selected component (if applicable):
system-config-users-1.2.47-1.fc6

How reproducible:
100%

Steps to Reproduce:
1.copy /etc/ from another computer ;-)
2.run system-config-users
3.
  
Actual results:
complains loudly, but without offering any real alternative than to freak out
administrator, that her system is screwed up.

Expected results:
Should be slightly more helpful

Additional info:

Comment 1 Tim Taiwanese Liim 2007-05-09 05:48:48 UTC
I encountered similar error message as well.  Since Matej did not post
the exact error msg, I'll supplement with what I saw.

    The user database cannot be read.  This problem is most likely
    caused by a mismatch between /etc/passwd and /etc/shadow
    or /etc/group and /etc/gshadow.  The program will exit now.

I also run strace
    strace system-config-users
It revealed that system-config-users did read from /etc/passwd, but
did not even attempt to open /etc/shadow, /etc/gshadow, nor
/etc/group.  Also I got no error when running pwck.


I'm attaching my /etc/passwd.  Could you please point out what is
wrong with it?  I installed FC6 on said system, added a few users
using system-config-users, do "yum update" regularly; then suddenly I
got error msg when running system-config-users.  In my case I did
*NOT* "copy /etc/ from another computer."

Comment 2 Tim Taiwanese Liim 2007-05-09 06:05:02 UTC
Created attachment 154378 [details]
/etc/passwd file for comment#1, from Tim Taiwanese Liim.

Comment 3 Matěj Cepl 2007-05-30 14:47:48 UTC
Tim, don't do it -- /etc/passwd is highly security-related, don't post it on the
net.

Comment 4 Tim Taiwanese Liim 2007-05-30 15:08:29 UTC
Hi, Matej,
Thanks for the warning, and for hiding the /etc/passwd
attachment.  (I guess you hid it because I got "Access Denied"
when accessing said attachment.)

I understand /etc/shadow has the encrypted passwd, thus
definitely no post.  But what is in /etc/passwd that is secret?
Almost all of the users in my /etc/passwd are standard ones from
Fedora (root et al), so anyone with Linux knowledge knows the
content.  Also the /etc/passwd attachment has no ip address
associated with it, so how does it compromise security?  As a
general precaution I agree with you that "no post /etc/passwd."
But in this particular case I was not able to identify the risk.
Please advise.  Appreciate!


Comment 5 Matěj Cepl 2007-05-30 15:22:38 UTC
No, actually I was wrong it is not so bad -- just cracker could know the gids of
users on your computer, which probably could be misused. /etc/passwd used to be
the main target of attacks and I get easily paranoid about it.

I guess it would be much more profitable for all of us, to run pwck (package
shadow-utils) on your /etc/passwd and post results here.

Comment 6 Tim Taiwanese Liim 2007-05-31 04:57:42 UTC
Here is the output of pwck:
    [root@qyam ~]# pwck
    [root@qyam ~]#      
ie. no error messages.  I tried system-config-users again just
now and still see the same error message 
    The user database cannot be read.  This problem is most likely
    caused by a mismatch between /etc/passwd and /etc/shadow
    or /etc/group and /etc/gshadow.  The program will exit now.


Comment 7 Bug Zapper 2008-04-04 06:45:50 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 8 Bug Zapper 2008-05-06 19:27:28 UTC
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.